<template>
  <div class="row mt-4 mb-2 info-content info--other">
    <div class="col-lg-12 col-12">
      <div class="card shadow">
        <div class="card-header bg-blue">
          <div class="col-12 text-left float-left pt-1 pl-0">
            <p class="text-light d-inline">Debit/Credit Card Payment</p>
          </div>
        </div>
        <div class="card-body p2">
          <div class="bg-light p-3 mb-3">
            <div class="row align-items-center">
              <div class="col-lg-1 col-sm-1 col-2 mx-auto">
                <img v-bind:src="items[3].url" class="img-micro mg-responsive p3" />
              </div>
              <div class="col-lg-1 col-sm-1 col-3 text-left">
                <img v-bind:src="items[0].url" class="img-mini mg-responsive p3" />
              </div>
              <div class="col-lg-10 col-sm-10 col-7 mx-auto text-left">
                <p class="d-lg-inline mb-0">{{items[0].name}} **** **** 9786</p>
                <p class="default d-lg-inline mb-0 text-blue">Default card</p>
              </div>
            </div>
          </div>
          <div class="p-3 shadow other">
            <div class="row align-items-center">
              <div class="col-lg-1 col-2 mx-auto">
                <img v-bind:src="items[2].url" class="img-micro mg-responsive p3" />
              </div>
              <div class="col-lg-11 col-10 mx-auto cursor" @click="showCardForm()" >
                <p class="text-blue text-left mb-0">Pay With Other Card</p>
              </div>
              <div class="col-12 mt-2 border-top" v-if="show" >
                <PaymentCardInfo />
              </div>
            </div>
          </div>
          <div class="p3 mt-4">
            <div class="row">
              <div class="col-lg-2 col-12 text-center pb-3">
                <img v-bind:src="items[1].url" class="img-secure img-responsive align-self-center" />
              </div>
              <div class="col-lg-10 col-12">
                <button class="btn btn-success btn-lg curve w-100">Submit payment</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import PaymentCardInfo from "./paymentCardInfo";
export default {
  components: {
    PaymentCardInfo
  },
  name: "PaymentCard",
  data() {
    return {
      items: [
        { name: "Visa", url: require("@/assets/visa.svg") },
        { name: "sectigo", url: require("@/assets/sectigo.png") },
        { name: "check", url: require("@/assets/okgrey.svg") },
        { name: "uncheck", url: require("@/assets/ok.svg") }
      ],
      months: [
        "Jan",
        "Feb",
        "March",
        "April",
        "May",
        "June",
        "July",
        "Agoust",
        "Sep",
        "Oct",
        "Nov",
        "Dec"
      ],
      show: false
    };
  },
  methods: {
    showCardForm: function() {
      this.show = !this.show;
    }
  }
};
</script>

<style scoped lang="scss">
.card-body {
  padding: 1rem;
}
.info--other {
  .default {
    text-decoration: underline;
  }
  .other {
    p {
      font-size: 1rem;
    }
  }
}
</style>